<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<f:if condition="{speaker}">
    <div class="c-header">
        <div class="c-header__container">
            <div class="c-header__inner">
                <h1>{speaker.name}</h1>
                <f:if condition="{speaker.company}">
                    <div class="c-header__text"><p>{speaker.company}</p></div>
                </f:if>
            </div>
        </div>
    </div>

    <f:if condition="{speaker.bio} || {speaker.website} || {speaker.twitter} || {speaker.linkedin} || {speaker.xing}">
        <div class="o-content o-content--text">
            <div class="o-content__inner">
                <div class="o-content__text">
                    <f:comment><!-- Description --></f:comment>
                    <f:format.html>{speaker.bio}</f:format.html>

                    <f:if condition="{speaker.website} || {speaker.twitter} || {speaker.linkedin} || {speaker.xing}">
                        <f:comment><!-- Social media --></f:comment>
                        <ul class="o-menu-social__list">
                            <f:if condition="{speaker.twitter}">
                                <f:comment><!-- Twitter --></f:comment>
                                <li class="o-menu-social__item">
                                    <f:link.typolink
                                        parameter="https://twitter.com/{speaker.twitter}"
                                        target="_blank"
                                        class="o-menu-social__link"
                                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                                        title="{f:translate(key:'socialMedia.twitter.link.label', extensionName:'t3oce_sitepackage')}"
                                    >
                                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.twitter.link.label" /></span>
                                        <i class="icon icon-twitter" aria-hidden="true"></i>
                                    </f:link.typolink>
                                </li>
                            </f:if>
                            <f:if condition="{speaker.linkedin}">
                                <f:comment><!-- LinkedIn --></f:comment>
                                <li class="o-menu-social__item">
                                    <f:link.typolink
                                        parameter="https://www.linkedin.com/in/{speaker.linkedin}"
                                        target="_blank"
                                        class="o-menu-social__link"
                                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                                        title="{f:translate(key:'socialMedia.linkedin.link.label', extensionName:'t3oce_sitepackage')}"
                                    >
                                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.linkedin.link.label" /></span>
                                        <i class="icon icon-linkedin2" aria-hidden="true"></i>
                                    </f:link.typolink>
                                </li>
                            </f:if>
                            <f:if condition="{speaker.xing}">
                                <f:comment><!-- Xing --></f:comment>
                                <li class="o-menu-social__item">
                                    <f:link.typolink
                                        parameter="https://www.xing.com/profile/{speaker.xing}"
                                        target="_blank"
                                        class="o-menu-social__link"
                                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                                        title="{f:translate(key:'socialMedia.xing.link.label', extensionName:'t3oce_sitepackage')}"
                                    >
                                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.xing.link.label" /></span>
                                        <i class="icon icon-xing2" aria-hidden="true"></i>
                                    </f:link.typolink>
                                </li>
                            </f:if>
                            <f:if condition="{speaker.website}">
                                <f:comment><!-- Website --></f:comment>
                                <li class="o-menu-social__item">
                                    <f:link.typolink
                                        parameter="{speaker.website}"
                                        target="_blank"
                                        class="o-menu-social__link"
                                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                                        title="{f:translate(key:'socialMedia.website.link.label', extensionName:'t3oce_sitepackage')}"
                                    >
                                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.website.link.label" /></span>
                                        <i class="icon icon-arrow-up-right2" aria-hidden="true"></i>
                                    </f:link.typolink>
                                </li>
                            </f:if>
                        </ul>
                    </f:if>
                </div>
            </div>
        </div>
    </f:if>

    <f:if condition="{speaker.sessions}">
        <f:comment><!-- Sessions --></f:comment>
        <div class="o-content o-content--text">
            <div class="o-content__inner">
                <div class="o-content__headline">
                    <h2><f:translate extensionName="t3oce_sitepackage" key="speaker.detail.sessions.headline" /></h2>
                </div>
                <div class="o-content__text">
                    <div class="o-session-list">
                        <f:for each="{speaker.sessions}" as="session">
                            <div class="o-session-list__item">
                                <h3>
                                    <f:link.action
                                        pageUid="{settings.session.detail.pid}"
                                        pluginName="Session"
                                        controller="Session"
                                        action="show"
                                        arguments="{session: session}"
                                        title="{session.topic}"
                                        class="o-link o-link--underlined"
                                    >
                                        {session.topic}
                                    </f:link.action>
                                </h3>
                            </div>
                        </f:for>
                    </div>
                </div>
            </div>
        </div>
    </f:if>

    <f:if condition="{settings.speaker.detail.linkToOverview.enable}">
        <f:comment><!-- Link to overview --></f:comment>
        <div class="o-content o-content--text">
            <div class="o-content__inner">
                <div class="o-content__text">
                    <f:link.page pageUid="{settings.speaker.detail.linkToOverview.parameter}" class="o-link o-link--underlined">
                        <f:translate extensionName="t3oce_sitepackage" key="speaker.detail.link.toOverview" />
                    </f:link.page>
                </div>
            </div>
        </div>
    </f:if>
</f:if>

</html>
